/*
 * core.c
 *
 *  Created on: May 3, 2023
 *      Author: hussamaldean
 */


#include "stm32l0xx.h"
void SystemInit(void)
{
	FLASH->ACR |= FLASH_ACR_LATENCY; /* (1) */
	while (!(FLASH->ACR & FLASH_ACR_LATENCY));
	RCC->CR|=RCC_CR_HSEBYP;
	RCC->CR|=RCC_CR_HSEON;
	while(!(RCC->CR & RCC_CR_HSERDY));
	RCC->CR &= ~RCC_CR_PLLON; /* (3) */
	while ((RCC->CR & RCC_CR_PLLRDY));
	RCC->CFGR |= RCC_CFGR_PLLMUL8;
	RCC->CFGR |= RCC_CFGR_PLLDIV2;
	RCC->CFGR |= RCC_CFGR_PLLSRC_HSE;
	RCC->CR |= RCC_CR_PLLON;
	while (!(RCC->CR & RCC_CR_PLLRDY));
	RCC->CFGR |= RCC_CFGR_SW_PLL;
	while (!(RCC->CFGR & RCC_CFGR_SWS_PLL) );


}
